![Logo Rougail](../logo.png "logo rougail")

# Rougail

Rougail est un bibliothèque python3 qui permet de charger des dictionnaires (fichiers au format XML ou YAML), de charger les variables dans Tiramisu et de générer des templates Cheetah ou Jinja.

![Schéma](schema.png "Schéma")

## La bibliothèque

  - [La bibliothèque](dev/README.md)
  - [La configration de la bibliothèque](dev/config.md)

## Les dictionnaires

  - [Les dictionnaires](dictionary/rougail.md)
  - [Les dictionnaires extra](dictionary/extra.md)
  - [Convention d'écriture d'un dictionnaire](dictionary/convention.md)

### Les variables

  - [Les familles](family/README.md)
  - [Les variables](variable/README.md)

### Les services

  - [La gestion d'un fichier](service/file.md)
  - [La gestion d'un fichier de service systemd](service/override.md)
  - [La gestion d'une ip](service/ip.md)

### Les contraintes

  - [Les calculs automatiques](fill/README.md)
  - [Les vérifications des valeurs](check/README.md)
  - [Les conditions](condition/README.md)

## Les templates

  - [Les moteurs de templates](template/README.md)
  - [Les patches](template/patch.md)
