from importlib.machinery import SourceFileLoader as _SourceFileLoader
from importlib.util import spec_from_loader as _spec_from_loader, module_from_spec as _module_from_spec
class func:
    pass

def _load_functions(path):
    global _SourceFileLoader, _spec_from_loader, _module_from_spec, func
    loader = _SourceFileLoader('func', path)
    spec = _spec_from_loader(loader.name, loader)
    func_ = _module_from_spec(spec)
    loader.exec_module(func_)
    for function in dir(func_):
        if function.startswith('_'):
            continue
        setattr(func, function, getattr(func_, function))
_load_functions('tests/dictionaries/../eosfunc/test.py')
try:
    from tiramisu3 import *
except:
    from tiramisu import *
option_2 = StrOption(name="mode_conteneur_actif", doc="No change", default="non", properties=frozenset({"force_default_on_freeze", "frozen", "hidden", "mandatory", "normal"}))
option_3 = StrOption(name="activer_ejabberd", doc="No change", default="non", properties=frozenset({"force_default_on_freeze", "frozen", "hidden", "mandatory", "normal"}))
optiondescription_1 = OptionDescription(name="general", doc="général", children=[option_2, option_3], properties=frozenset({"normal"}))
optiondescription_34 = OptionDescription(name="rougail", doc="Rougail", children=[optiondescription_1])
option_6 = StrOption(name="description", doc="description", multi=True, default=['test'], properties=frozenset({"mandatory"}))
option_7 = StrOption(name="mode", doc="mode", multi=True, default_multi="pre", properties=frozenset({"mandatory", "normal"}))
optiondescription_5 = Leadership(name="leadership", doc="description", children=[option_6, option_7], properties=frozenset({"normal"}))
optiondescription_4 = OptionDescription(name="ejabberd", doc="ejabberd", children=[optiondescription_5], properties=frozenset({"normal"}))
optiondescription_35 = OptionDescription(name="extra", doc="extra", children=[optiondescription_4])
option_19 = FilenameOption(name="name", doc="name", default="/etc/mailname")
option_18 = BoolOption(name="activate", doc="activate", default=True)
optiondescription_17 = OptionDescription(name="mailname", doc="mailname", children=[option_19, option_18])
optiondescription_17.impl_set_information('source', "mailname")
option_22 = FilenameOption(name="name", doc="name", default="/etc/mailname2")
option_21 = BoolOption(name="activate", doc="activate", default=True)
optiondescription_20 = OptionDescription(name="mailname2", doc="mailname2", children=[option_22, option_21])
optiondescription_20.impl_set_information('engine', "jinja")
optiondescription_20.impl_set_information('source', "mailname2")
optiondescription_16 = OptionDescription(name="files", doc="files", children=[optiondescription_17, optiondescription_20])
option_15 = BoolOption(name="activate", doc="activate", default=True)
option_23 = BoolOption(name="manage", doc="manage", default=True)
optiondescription_37 = OptionDescription(name="test_service", doc="test.service", children=[optiondescription_16, option_15, option_23])
optiondescription_37.impl_set_information('type', "service")
optiondescription_36 = OptionDescription(name="services", doc="services", children=[optiondescription_37], properties=frozenset({"hidden"}))
optiondescription_33 = OptionDescription(name="1", doc="1", children=[optiondescription_34, optiondescription_35, optiondescription_36])
option_9 = StrOption(name="mode_conteneur_actif", doc="No change", default="non", properties=frozenset({"force_default_on_freeze", "frozen", "hidden", "mandatory", "normal"}))
option_10 = StrOption(name="activer_ejabberd", doc="No change", default="non", properties=frozenset({"force_default_on_freeze", "frozen", "hidden", "mandatory", "normal"}))
optiondescription_8 = OptionDescription(name="general", doc="général", children=[option_9, option_10], properties=frozenset({"normal"}))
optiondescription_39 = OptionDescription(name="rougail", doc="Rougail", children=[optiondescription_8])
option_13 = StrOption(name="description", doc="description", multi=True, default=['test'], properties=frozenset({"mandatory"}))
option_14 = StrOption(name="mode", doc="mode", multi=True, default_multi="pre", properties=frozenset({"mandatory", "normal"}))
optiondescription_12 = Leadership(name="leadership", doc="description", children=[option_13, option_14], properties=frozenset({"normal"}))
optiondescription_11 = OptionDescription(name="ejabberd", doc="ejabberd", children=[optiondescription_12], properties=frozenset({"normal"}))
optiondescription_40 = OptionDescription(name="extra", doc="extra", children=[optiondescription_11])
option_28 = FilenameOption(name="name", doc="name", default="/etc/mailname")
option_27 = BoolOption(name="activate", doc="activate", default=True)
optiondescription_26 = OptionDescription(name="mailname", doc="mailname", children=[option_28, option_27])
optiondescription_26.impl_set_information('source', "mailname")
option_31 = FilenameOption(name="name", doc="name", default="/etc/mailname2")
option_30 = BoolOption(name="activate", doc="activate", default=True)
optiondescription_29 = OptionDescription(name="mailname2", doc="mailname2", children=[option_31, option_30])
optiondescription_29.impl_set_information('engine', "jinja")
optiondescription_29.impl_set_information('source', "mailname2")
optiondescription_25 = OptionDescription(name="files", doc="files", children=[optiondescription_26, optiondescription_29])
option_24 = BoolOption(name="activate", doc="activate", default=True)
option_32 = BoolOption(name="manage", doc="manage", default=True)
optiondescription_42 = OptionDescription(name="test_service", doc="test.service", children=[optiondescription_25, option_24, option_32])
optiondescription_42.impl_set_information('type', "service")
optiondescription_41 = OptionDescription(name="services", doc="services", children=[optiondescription_42], properties=frozenset({"hidden"}))
optiondescription_38 = OptionDescription(name="2", doc="2", children=[optiondescription_39, optiondescription_40, optiondescription_41])
option_0 = OptionDescription(name="baseoption", doc="baseoption", children=[optiondescription_33, optiondescription_38])
